## eole-prometheus 
Eolisation de la solution de surveillance Prometheus.
Grafana est pris en charge dans l'eolisation et peut ou non être activé.
L'exporter système (node-exporter) est dans la configuration par défaut (Prométheus se surveille lui même).

### eole-prometheus :


1. gen_config

    ```
Mode expert > Dépot tiers > Ajouter un dépot
        Cadoles pour environnement de Qualification
            Libellé du dépot = Cadoles
            Déclaration du dépôt = deb https://vulcain.cadoles.com 2.6.2-staging main
            Méthode de récupération de la clé = URL de la clé
            URL de la clé = https://vulcain.cadoles.com/cadoles.gpg
```

* Pour ajouter une sonde sur eole :

1. gen_config

   ```
 Mode expert > Dépot tiers > Ajouter un dépot
        Cadoles pour environnement de Qualification
            Libellé du dépot = Cadoles
            Déclaration du dépôt = deb https://vulcain.cadoles.com xenial-staging main
            Méthode de récupération de la clé = URL de la clé
            URL de la clé = https://vulcain.cadoles.com/cadoles.gpg
```

* Pour ajouter une sonde sur ubuntu xenial:

```
echo "deb https://vulcain.cadoles.com xenial-staging main" > /etc/apt/sources.list.d/cadoles.list
wget -O - https://vulcain.cadoles.com/cadoles.gpg|apt-key add -
```

Il faut ouvrir les ports en fonction des exporters. Tous les exporters n'utilisent pas le même port.

Le paquet eole-prometheus ouvre les ports sur le serveur où Prometheus sera installé :

* 9090 pour le serveur prometheus
* 9100 pour la sonde node-exporter
* 3000 pour le serveur Grafana

